<!--
		SIF Implementation Specification (Australia) 1.1 (December 23, 2010) Infrastructure Version: 2.4-16
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" targetNamespace="http://www.sifinfo.org/au/infrastructure/2.x" xmlns:sif="http://www.sifinfo.org/au/infrastructure/2.x" elementFormDefault="qualified">
  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="imports/xml/xml.xsd" />
  <xs:complexType name="StudentActivityInfoType">
    <xs:annotation>
      <xs:documentation>Co-curricular or extra-curricular activities (e.g., student organizations, inter-school sports, athletics, publications, band, orchestra, and service activities) in which students may participate.</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="Title" minOccurs="0" type="xs:normalizedString">
        <xs:annotation>
          <xs:documentation>Name of the co-curricular or extra-curricular activity. </xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:normalizedString">
        <xs:annotation>
          <xs:documentation>The description of the co-curricular or extra-curricular activity. </xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="StudentActivityType" minOccurs="0">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="Code" minOccurs="0" type="sif:AUCodeSetsActivityInvolvementCodeType">
              <xs:annotation>
                <xs:documentation>Code identifying the co-curricular or extra-curricular activity. </xs:documentation>
              </xs:annotation>
            </xs:element>
            <xs:element name="OtherCodeList" minOccurs="0" nillable="true" type="sif:OtherCodeListType" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="StudentActivityLevel" minOccurs="0" nillable="true" type="xs:normalizedString">
        <xs:annotation>
          <xs:documentation>A description of the separation of level in the activity (e.g.,House, Inter-school, Club, State, National).</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="YearLevels" minOccurs="0" nillable="true" type="sif:YearLevelsType">
        <xs:annotation>
          <xs:documentation>Collection of grade levels applicable to this co-curricular or extra-curricular activity. </xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="CurricularStatus" minOccurs="0" nillable="true" type="sif:AUCodeSetsActivityTypeType">
        <xs:annotation>
          <xs:documentation>An indication of the degree to which an activity is related to a student's curriculum. </xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="Location" minOccurs="0" nillable="true" type="sif:LocationType">
        <xs:annotation>
          <xs:documentation>Location where the activity takes place.</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="sif:SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="sif:SIF_ExtendedElementsType">
        <xs:unique name="SIF_ExtendedElementsKey43">
          <xs:selector xpath="./sif:SIF_ExtendedElement" />
          <xs:field xpath="@Name" />
        </xs:unique>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="sif:RefIdType">
      <xs:annotation>
        <xs:documentation>The ID (GUID) that uniquely identifies the instance of the object.</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>

  <xs:element name="StudentActivityInfo" type="sif:StudentActivityInfoType">
    <xs:unique name="StudentActivityInfoKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

</xs:schema>